List an entity's tax returns
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/tax-returns \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/tax-returns"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/tax-returns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syntage.com/entities/{entityId}/tax-returns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.syntage.com/entities/{entityId}/tax-returns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.syntage.com/entities/{entityId}/tax-returns")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syntage.com/entities/{entityId}/tax-returns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"@context": "/contexts/TaxReturn",
"@id": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997/tax-returns",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/tax-returns/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "TaxReturn",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"taxpayer": {
"@id": "/taxpayers/PEIC211118IS0",
"@type": "Taxpayer",
"id": "PEIC211118IS0",
"personType": "physical",
"registrationDate": "2023-12-25",
"name": "Pedro Infante Cruz"
},
"operationNumber": 200100172932,
"intervalUnit": "Mensual",
"period": "Diciembre",
"fiscalYear": 2019,
"type": "Complementaria",
"complementary": "Modificación de Obligaciones",
"presentedAt": "2023-11-07T05:31:56Z",
"captureLine": "042007HZ795527888246",
"files": [
{
"@id": "/files/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "File",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": "invoice.cfdi.xml",
"resource": "/invoices/7c45e9c6-8f7f-4d0e-b6e5-65fef6c8c2f9",
"mimeType": "text/xml",
"extension": "xml",
"size": 40544,
"filename": "6f3c5312-2849-4525-86f6-c48a54c64c60.xml",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"issifObligation": false,
"payment": {
"dueAmount": 53249.8,
"dueDate": "2019-01-03T21:10:40.000Z",
"code": "0777555544443332222",
"bank": "BBVA Bancomer, S.A.",
"paidAmount": 123,
"date": "2023-11-07T05:31:56Z",
"operationNumber": "123456"
},
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Tax Returns
List an entity's tax returns
List tax returns extracted for an entity.
GET
/
entities
/
{entityId}
/
tax-returns
List an entity's tax returns
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/tax-returns \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/tax-returns"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/tax-returns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syntage.com/entities/{entityId}/tax-returns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.syntage.com/entities/{entityId}/tax-returns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.syntage.com/entities/{entityId}/tax-returns")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syntage.com/entities/{entityId}/tax-returns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"@context": "/contexts/TaxReturn",
"@id": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997/tax-returns",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/tax-returns/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "TaxReturn",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"taxpayer": {
"@id": "/taxpayers/PEIC211118IS0",
"@type": "Taxpayer",
"id": "PEIC211118IS0",
"personType": "physical",
"registrationDate": "2023-12-25",
"name": "Pedro Infante Cruz"
},
"operationNumber": 200100172932,
"intervalUnit": "Mensual",
"period": "Diciembre",
"fiscalYear": 2019,
"type": "Complementaria",
"complementary": "Modificación de Obligaciones",
"presentedAt": "2023-11-07T05:31:56Z",
"captureLine": "042007HZ795527888246",
"files": [
{
"@id": "/files/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "File",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": "invoice.cfdi.xml",
"resource": "/invoices/7c45e9c6-8f7f-4d0e-b6e5-65fef6c8c2f9",
"mimeType": "text/xml",
"extension": "xml",
"size": 40544,
"filename": "6f3c5312-2849-4525-86f6-c48a54c64c60.xml",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"issifObligation": false,
"payment": {
"dueAmount": 53249.8,
"dueDate": "2019-01-03T21:10:40.000Z",
"code": "0777555544443332222",
"bank": "BBVA Bancomer, S.A.",
"paidAmount": 123,
"date": "2023-11-07T05:31:56Z",
"operationNumber": "123456"
},
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Your API key is available in the Production and Sandbox dashboards.
Query Parameters
Filter by interval unit (partial match)
Set when type is complementaria*
Available options:
Declaración no Presentada, Dejar sin Efecto Declaración, Dejar sin Efecto Obligación, Esquema Anterior, Modificación de Declaración, Modificación de Obligaciones, Obligación no presentada, null Example:
"Modificación de Obligaciones"
Response
Taxpayer tax return collection response
Was this page helpful?